com.cloudera.flume.handlers.thrift

## Enum ThriftFlumeEvent._Fields

- java.lang.Object
- - java.lang.Enum<ThriftFlumeEvent._Fields>
  - - com.cloudera.flume.handlers.thrift.ThriftFlumeEvent._Fields

- All Implemented Interfaces:
    Serializable, Comparable<ThriftFlumeEvent._Fields>, org.apache.thrift.TFieldIdEnum
  Enclosing class:
    ThriftFlumeEvent

      public static enum ThriftFlumeEvent._Fields
      extends Enum<ThriftFlumeEvent._Fields>
      implements org.apache.thrift.TFieldIdEnum

  The set of fields this struct contains, along with convenience methods for finding and manipulating them.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BODY`
    `FIELDS`
    `HOST`
    `NANOS`
    `PRIORITY`
    `TIMESTAMP`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ThriftFlumeEvent._Fields` | `findByName(String name)` Find the _Fields constant that matches name, or null if its not found.
    `static ThriftFlumeEvent._Fields` | `findByThriftId(int fieldId)` Find the _Fields constant that matches fieldId, or null if its not found.
    `static ThriftFlumeEvent._Fields` | `findByThriftIdOrThrow(int fieldId)` Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
    `String` | `getFieldName()`
    `short` | `getThriftFieldId()`
    `static ThriftFlumeEvent._Fields` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ThriftFlumeEvent._Fields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TIMESTAMP

          public static final ThriftFlumeEvent._Fields TIMESTAMP

    - #### PRIORITY

          public static final ThriftFlumeEvent._Fields PRIORITY

      See Also:
        `Priority`

    - #### BODY

          public static final ThriftFlumeEvent._Fields BODY

    - #### NANOS

          public static final ThriftFlumeEvent._Fields NANOS

    - #### HOST

          public static final ThriftFlumeEvent._Fields HOST

    - #### FIELDS

          public static final ThriftFlumeEvent._Fields FIELDS

  - ### Method Detail

    - #### values

          public static ThriftFlumeEvent._Fields[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ThriftFlumeEvent._Fields c : ThriftFlumeEvent._Fields.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ThriftFlumeEvent._Fields valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### findByThriftId

          public static ThriftFlumeEvent._Fields findByThriftId(int fieldId)

      Find the _Fields constant that matches fieldId, or null if its not found.

    - #### findByThriftIdOrThrow

          public static ThriftFlumeEvent._Fields findByThriftIdOrThrow(int fieldId)

      Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

    - #### findByName

          public static ThriftFlumeEvent._Fields findByName(String name)

      Find the _Fields constant that matches name, or null if its not found.

    - #### getThriftFieldId

          public short getThriftFieldId()

      Specified by:
        `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

    - #### getFieldName

          public String getFieldName()

      Specified by:
        `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.